Skip to content

Get activities by type and id

POST
/activities/bulk
curl --request POST \
--url https://api.ethos.network/api/v2/activities/bulk \
--header 'Content-Type: application/json' \
--data '{ "activityType": "attestation", "id": 1 }'
Media typeapplication/json
object
activityType
required
string
Allowed values: attestation broker-post human-verification invitation-accepted karma-tip market market-v2-trade market-vote reply review review-archived slash unvouch unvouch-v2 vote vouch vouch-v2 vouch-v2-decrease vouch-v2-increase xp-tip
id
required
integer
<= 2147483647

Successful response

Media typeapplication/json
Array<object>
object

Example generated

[
{}
]

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}